#!/usr/bin/python
# -*- coding: utf-8 -*-

from pychrysalide import PluginModule
from welcome.panel import WelcomePanel


class WelcomePlugin(PluginModule):
    """Interface graphique d'accueil."""


    def get_interface(self):
        """Provide the full plugin description."""

        desc = {

            'name' : 'Welcome',
            'desc' : 'Introduce the software when no project is loaded',
            'version' : '0.1',

            'actions' : [ PluginModule.PGA_PLUGIN_INIT ]

        }

        return desc


    def init(self, ref):
        """Initialise l'extension."""

        self._panel = WelcomePanel()

        #self._panel.dock()
        #self._panel.register()

        return True
